## octave-signal 1.0.7

=== DESCRIPTION ===
Name: Signal
Version: 1.0.7
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Signal Processing.
Description: Signal processing tools, including filtering, windowing and display functions.
Depends: octave (> 2.9.9)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
all: remez.oct medfilt1.oct sosfilt.oct upfirdn.oct

%.oct: %.cc
	mkoctfile -s $<

clean: ; -rm *.o core octave-core *.oct *~

## octave-signal 1.0.9

=== DESCRIPTION ===
Name: Signal
Version: 1.0.9
Date: 2009-05-03
Author: Various Authors
Maintainer: The Octave Community
Title: Signal Processing.
Description: Signal processing tools, including filtering, windowing and display functions.
Depends: octave (> 2.9.9), optim (>= 1.0.0), specfun
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-signal 1.0.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: Signal
-Version: 1.0.9
+Version: 1.0.10
 Date: 2009-05-03
 Author: Various Authors
 Maintainer: The Octave Community

## octave-signal 1.0.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Signal
-Version: 1.0.10
-Date: 2009-05-03
+Version: 1.0.11
+Date: 2010-03-10
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Signal Processing.

=== src/Makefile ===
all: cl2bp.oct remez.oct medfilt1.oct sosfilt.oct upfirdn.oct

CL2BP_DEFINES =
# CL2BP_DEFINES = -DCL2BP_LOGGING

cl2bp.o: cl2bp.cc cl2bp_lib.h
	mkoctfile -Wall $(CL2BP_DEFINES) -c $<

cl2bp_lib.o: cl2bp_lib.cc cl2bp_lib.h
	mkoctfile -Wall $(CL2BP_DEFINES) -c $<

cl2bp.oct: cl2bp.o cl2bp_lib.o
	mkoctfile -Wall -s $^

%.oct: %.cc
	mkoctfile -Wall -s $<

clean: ; -rm -f *.o core octave-core *.oct *~

=== debian/changelog ===
octave-signal (1.0.11-2) unstable; urgency=low

  * Add octave-control to dependency list, it's also needed at runtime, not
    only at build time (closes: #587660) 

 -- Thomas Weber <tweber@debian.org>  Wed, 30 Jun 2010 21:54:24 +0200

octave-signal (1.0.11-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571865)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Bump Standards-Version to 3.8.4 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Thu, 13 May 2010 23:32:17 +0200

octave-signal (1.0.10-2) unstable; urgency=low

  * Rebuild against hdf5 1.8.4 (transition) (closes: #570017) 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 18 Feb 2010 23:08:50 +0100

octave-signal (1.0.10-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Remove patch remove-upfirdn-m.diff, applied upstream
  * Add octave-control to build-dependencies, it's used for some tests. 
    Ensure the version for Octave 3.2 is used by having a versioned 
    (>= 1.0.11-2) in the dependency. 
  * debian/rules: Drop code for fixing the wrong permission of
    sampled2continuous.m, fixed upstream

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 00:51:36 +0100

octave-signal (1.0.9-1) unstable; urgency=low

  * New upstream release
  * debian/patches/remove-upfirdn-m.diff: Add patch for removing file
    inst/upfridn.m prior to package building.  This file is obsolete and
    has been superseded by src/upfirdn.cc.
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + (Build-Conflicts): Add octave-nan, otherwise the test of filtfilt
      fails
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/rules:
    + Include patchsys-quilt.mk
    + Fix wrong permission of script sampled2continuous.m
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 19:32:47 +0200

octave-signal (1.0.8-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Add octave-specfun to dependencies
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 19:04:51 +0200

octave-signal (1.0.8-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 16:34:47 +0000

octave-signal (1.0.7-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 15 May 2008 14:28:40 +0200

octave-signal (1.0.6-1) unstable; urgency=low

  * Initial release (closes: #468521)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Tue, 19 Feb 2008 00:55:50 +0100

=== debian/control ===
Source: octave-signal
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0),
 octave-control (>= 1.0.11-2)
Build-Conflicts: octave-nan
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/signal
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-signal.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-signal.git

Package: octave-signal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, octave-optim (>= 1.0.5), 
 octave-control, ${octave:Depends}
Description: signal processing functions for Octave
 This package provides signal processing tools including filtering,
 windowing and display functions in octave.
 .
 Blackman-Harris, Blackman-Nuttall and Bohman are among the windowing functions
 and filters include Chebyshev type filters and butterworth filters.
 .
 Additionally, some wavelet functions are included.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/signal-([\d.]+)\.tar\.gz\?download

## octave-signal 1.1.2

=== DESCRIPTION ===
Name: Signal
Version: 1.1.2
Date: 2012-01-17
Author: Various Authors
Maintainer: The Octave Community
Title: Signal Processing.
Description: Signal processing tools, including filtering, windowing and display functions.
Depends: octave (>= 3.4.0), optim (>= 1.0.0), specfun, control (>= 2.2.3)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== debian/changelog ===
octave-signal (1.1.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * Bump the debhelper compatibility level to 9
  * debian/control:
    + Bump standards version to 3.9.3, no changes needed
    + Bump the build-dependency on octave-pkg-dev to >= 1.0.0
    + Remove the list of dependencies on other Octave-Forge, which is
      automatically generated by octave-pkg-helper
    + Update the build-dependency on octave-control in order to reflect
      the upstream specification
    + Add Sébastien Villemot to the list of Uploaders
  * debian/copyright: Update notices and adapted to the 1.0 format
  * Added patches for fixing some tests:
    + accept-string-as-window-argument.patch
    + do-not-use-deprecated-functions.patch
    + new-signature-of-impulse-function.patch
    + order-of-vector-in-residued-test.patch

 -- Thomas Weber <tweber@debian.org>  Mon, 12 Mar 2012 00:29:30 +0100

=== debian/control ===
Source: octave-signal
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
 octave-control (>= 2.2.3)
Build-Conflicts: octave-nan
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/signal
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-signal.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-signal.git

Package: octave-signal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: signal processing functions for Octave
 This package provides signal processing tools including filtering,
 windowing and display functions in octave.
 .
 Blackman-Harris, Blackman-Nuttall and Bohman are among the windowing functions
 and filters include Chebyshev type filters and butterworth filters.
 .
 Additionally, some wavelet functions are included.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-signal 1.1.3

=== DESCRIPTION ===
Name: Signal
Version: 1.1.3
Date: 2012-05-12
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Signal Processing.
Description: Signal processing tools, including filtering, windowing and display functions.
Depends: octave (>= 3.6.0), optim (>= 1.0.0), specfun, control (>= 2.2.3), image
Autoload: no
License: GPLv3+, public domain
Url: http://octave.sf.net

=== debian/changelog ===
octave-signal (1.1.3-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.1.3
  * Add Build-Depends on octave-image
  * autoload-yes.patch: new patch
  * Remove all other patches, applied upstream
  * debian/copyright: reflect upstream changes

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Thu, 17 May 2012 22:33:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
- octave-control (>= 2.2.3)
+ octave-control (>= 2.2.3), octave-image
 Build-Conflicts: octave-nan
 Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/signal

## octave-signal 1.2.0

=== DESCRIPTION ===
Name: Signal
Version: 1.2.0
Date: 2012-09-21
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Signal Processing.
Description: Signal processing tools, including filtering, windowing and display functions.
Depends: octave (>= 3.6.0), optim (>= 1.0.0), specfun, control (>= 2.2.3), general (>= 1.3.2)
## depends on specfun because of ellipke. When it moves to octave core, dependency can be removed
Autoload: no
License: GPLv3+, public domain
Url: http://octave.sf.net

=== src/Makefile ===
MKOCTFILE ?= mkoctfile

all: cl2bp.oct remez.oct medfilt1.oct sosfilt.oct upfirdn.oct

CL2BP_DEFINES =
# CL2BP_DEFINES = -DCL2BP_LOGGING

cl2bp.o: cl2bp.cc cl2bp_lib.h
	$(MKOCTFILE) -Wall $(CL2BP_DEFINES) -c $<

cl2bp_lib.o: cl2bp_lib.cc cl2bp_lib.h
	$(MKOCTFILE) $(CL2BP_DEFINES) -c $<

cl2bp.oct: cl2bp.o cl2bp_lib.o
	$(MKOCTFILE) -Wall -s $^

%.oct: %.cc
	$(MKOCTFILE) -Wall -s $<

clean: ; -rm -f *.o core octave-core *.oct *~

=== debian/changelog ===
octave-signal (1.2.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.0.
    Test of function pei_tseng_notch is fixed. (Closes: #664694)
  * debian/copyright: Reflect upstream changes
  * debian/patches/autoload-yes.patch: Refresh for new upstream version
  * Add Lintian overrides for false positives on hardening flags
  * debian/rules: Fix the permission of some installed *.m files
  * debian/control:
    - Drop build-dependency on octave-image
    - Build-Depends on octave-general

  [ Sébastien Villemot ]
  * Bump to Standards-Version 3.9.4, no changes needed

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 23 Sep 2012 09:14:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
- octave-control (>= 2.2.3), octave-image
+ octave-control (>= 2.2.3), octave-general (>= 1.3.2)
 Build-Conflicts: octave-nan
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/signal
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-signal.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-signal.git

## octave-signal 1.2.2

=== DESCRIPTION ===
Name: Signal
Version: 1.2.2
Date: 2013-03-25
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Signal Processing.
Description: Signal processing tools, including filtering, windowing and display functions.
Depends: octave (>= 3.6.0), specfun, control (>= 2.2.3), general (>= 1.3.2)
## depends on specfun because of ellipke. When it moves to octave core, dependency can be removed
Autoload: no
License: GPLv3+, public domain
Url: http://octave.sf.net

=== src/Makefile ===
MKOCTFILE ?= mkoctfile

all: __fwht__.oct cl2bp.oct remez.oct medfilt1.oct sosfilt.oct upfirdn.oct

%.oct: %.cc
	$(MKOCTFILE) -Wall -s $<

cl2bp.o: cl2bp.cc cl2bp_lib.h
	$(MKOCTFILE) -Wall -c $<

cl2bp_lib.o: cl2bp_lib.cc cl2bp_lib.h
	$(MKOCTFILE) -Wall -c $<

cl2bp.oct: cl2bp.o cl2bp_lib.o
	$(MKOCTFILE) -Wall -s $^

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-signal (1.2.2-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:36 +0000

octave-signal (1.2.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.2
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Reflect upstream changes
  * debian/patches/autoload-yes.diff: Refresh for new upstream version

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 13:40:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
  octave-control (>= 2.2.3), octave-general (>= 1.3.2)
 Build-Conflicts: octave-nan

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

pkg = octave-signal

include /usr/share/cdbs/1/class/octave-pkg.mk

install/$(pkg)::
	# Fix permission of some *.m files
	@echo "************************************************************"
	@echo "Warning: check whether this permission fix is still needed:"
	find debian/$(pkg) -name \*.m -exec chmod -x \{} \;
	@echo "************************************************************"

## octave-signal 1.3.0

=== DESCRIPTION ===
Name: Signal
Version: 1.3.0
Date: 2014-01-26
Author: various authors
Maintainer: Mike Miller <mtmiller@ieee.org>
Title: Signal Processing.
Description: Signal processing tools, including filtering, windowing and display functions.
Depends: octave (>= 3.8.0), control (>= 2.4.5), general (>= 1.3.2)
Autoload: no
License: GPLv3+, public domain
Url: http://octave.sf.net

=== src/Makefile ===
MKOCTFILE ?= mkoctfile

all: __fwht__.oct __ultrwin__.oct cl2bp.oct remez.oct medfilt1.oct sosfilt.oct upfirdn.oct

%.oct: %.cc
	$(MKOCTFILE) -Wall $<

cl2bp.o: cl2bp.cc cl2bp_lib.h
	$(MKOCTFILE) -Wall -c $<

cl2bp_lib.o: cl2bp_lib.cc cl2bp_lib.h
	$(MKOCTFILE) -Wall -c $<

cl2bp.oct: cl2bp.o cl2bp_lib.o
	$(MKOCTFILE) -Wall $^

clean:
	rm -f *.o octave-core core *.oct *~

=== debian/changelog ===
octave-signal (1.3.0-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.3.0 (Closes: #740051)
    + fir1 fixed for high order filters. (Closes: #712079)
  * Bump to Standards-Version 3.9.5, no changes needed
  * debian/patches/autoload-yes.patch: Refresh patch
  * Adjust build-dependencies to octave-pkg-dev >= 1.1.0 and
    octave-control >= 2.4.5.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 27 Feb 2014 15:55:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
- octave-control (>= 2.2.3), octave-general (>= 1.3.2)
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.0),
+ octave-control (>= 2.4.5), octave-general (>= 1.3.2)
 Build-Conflicts: octave-nan
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/signal
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-signal.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-signal.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-signal.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-signal.git
 
 Package: octave-signal
 Architecture: any

## octave-signal 1.3.2

=== src/Makefile ===
MKOCTFILE ?= mkoctfile
SED       ?= sed

OCT_FILES = \
  __fwht__.oct \
  __ultrwin__.oct \
  cl2bp.oct \
  medfilt1.oct \
  remez.oct \
  sosfilt.oct \
  upfirdn.oct

CL2BP_OBJECTS = cl2bp.o cl2bp_lib.o

OCT_SOURCES = $(patsubst %.oct,%.cc,$(OCT_FILES))

all: $(OCT_FILES)

%.o: %.cc
	$(MKOCTFILE) -Wall -c $< -o $@

%.oct: %.cc
	$(MKOCTFILE) -Wall $< -o $@

cl2bp.oct: $(CL2BP_OBJECTS)
	$(MKOCTFILE) -Wall $^ -o $@

$(CL2BP_OBJECTS): cl2bp_lib.h

PKG_ADD PKG_DEL: $(OCT_SOURCES)
	$(SED) -n -e 's/.*$@: \(.*\)/\1/p' $^ > $@-t
	mv $@-t $@

clean:
	-rm -f *.o *.oct PKG_*

.PHONY: all clean

=== debian/changelog ===
octave-signal (1.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.3.2
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/rules: Remove code for fixing file permissions (fixed upstream)
  * Remove obsolete Lintian override for hardening-no-fortify-functions
  * Bump build-dependency on octave-control to >= 2.8.1

  [ Sébastien Villemot ]
  * Uploaders: set to Rafael Laboissiere and Mike Miller.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 31 Jul 2015 11:10:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+Uploaders: Rafael Laboissiere <rafael@laboissiere.net>,
+           Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.0),
- octave-control (>= 2.4.5), octave-general (>= 1.3.2)
+ octave-control (>= 2.8.1), octave-general (>= 1.3.2)
 Build-Conflicts: octave-nan
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/signal
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-signal.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-signal.git

=== debian/watch ===
version=3
http://sf.net/octave/signal-(.+)\.tar\.gz

## octave-signal 1.4.0

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,25 @@
+# Makefile for the signal package for GNU Octave
+#
+# Copyright (C) 2012-2018 Mike Miller
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; see the file COPYING. If not, see
+# <https://www.gnu.org/licenses/>.
+
 MKOCTFILE ?= mkoctfile
 SED       ?= sed
+
+CXXFLAGS_PKG := -Wall -Wno-deprecated-declarations $(CXXFLAGS_PKG_APPEND)
 
 OCT_FILES = \
   __fwht__.oct \
@@ -17,13 +37,13 @@
 all: $(OCT_FILES)
 
 %.o: %.cc
-	$(MKOCTFILE) -Wall -c $< -o $@
+	$(MKOCTFILE) $(CXXFLAGS_PKG) -c $< -o $@
 
 %.oct: %.cc
-	$(MKOCTFILE) -Wall $< -o $@
+	$(MKOCTFILE) $(CXXFLAGS_PKG) $< -o $@
 
 cl2bp.oct: $(CL2BP_OBJECTS)
-	$(MKOCTFILE) -Wall $^ -o $@
+	$(MKOCTFILE) $(CXXFLAGS_PKG) $^ -o $@
 
 $(CL2BP_OBJECTS): cl2bp_lib.h

=== debian/changelog ===
octave-signal (1.4.0-3) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:43 -0200

octave-signal (1.4.0-2) unstable; urgency=medium

  * d/p/impinvar-tol.patch: new patch, fix test failure on several arches

 -- Mike Miller <mtmiller@debian.org>  Wed, 09 May 2018 11:33:50 -0700

octave-signal (1.4.0-1) unstable; urgency=medium

  [ Mike Miller ]
  * New upstream version 1.4.0
  * d/p/relax-unit-test-in-fir2.patch: drop patch (applied upstream)
  * d/p/comment-out-failing-unit-tests.patch: drop patch (no longer needed)
  * Drop dependency on octave-general (no longer needed)
  * Bump dependency on octave-control to (>= 3.1.0) to ensure #874139 stays
    fixed
  * d/copyright: reflect upstream changes
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

 -- Mike Miller <mtmiller@debian.org>  Tue, 08 May 2018 20:06:27 -0700

octave-signal (1.3.2-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:37:58 -0200

octave-signal (1.3.2-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:35 -0200

octave-signal (1.3.2-3) unstable; urgency=medium

  * d/control: Add Testsuite field
  * d/control: Bump Standards-Version to 4.1.1 (no changes needed)
  * d/p/relax-unit-test-in-fir2.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 03 Nov 2017 19:52:48 -0200

octave-signal (1.3.2-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/p/comment-out-failing-unit-tests.patch: New patch.
    The package FTBFS with octave-pkg-dev 1.5.0 because it now exits with
    a code error when unit tests fail.  We comment out, for now, the
    failing tests, but this must be addressed in a proper way, since it
    may hide problems in the package. (Closes: #874139)
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Bump Standards-Version to 4.1.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 06 Sep 2017 12:51:55 -0300

=== debian/control ===
Source: octave-signal
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave,
               octave-control (>= 3.1.0)
Build-Conflicts: octave-nan
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/signal/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-signal.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-signal
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-signal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: signal processing functions for Octave
 This package provides signal processing tools including filtering,
 windowing and display functions in octave.
 .
 Blackman-Harris, Blackman-Nuttall and Bohman are among the windowing functions
 and filters include Chebyshev type filters and butterworth filters.
 .
 Additionally, some wavelet functions are included.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/signal-(.+)\.tar\.gz

## octave-signal 1.4.1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for the signal package for GNU Octave
 #
-# Copyright (C) 2012-2018 Mike Miller
+# Copyright (C) 2012-2019 Mike Miller
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 MKOCTFILE ?= mkoctfile
 SED       ?= sed
 
-CXXFLAGS_PKG := -Wall -Wno-deprecated-declarations $(CXXFLAGS_PKG_APPEND)
+PKG_CXXFLAGS := -Wall -Wno-deprecated-declarations $(PKG_CXXFLAGS_APPEND)
 
 OCT_FILES = \
   __fwht__.oct \
@@ -37,15 +37,15 @@
 all: $(OCT_FILES)
 
 %.o: %.cc
-	$(MKOCTFILE) $(CXXFLAGS_PKG) -c $< -o $@
+	$(MKOCTFILE) $(PKG_CXXFLAGS) -c $< -o $@
 
-%.oct: %.cc
-	$(MKOCTFILE) $(CXXFLAGS_PKG) $< -o $@
+%.oct: %.cc octave-compat.h
+	$(MKOCTFILE) $(PKG_CXXFLAGS) $< -o $@
 
 cl2bp.oct: $(CL2BP_OBJECTS)
-	$(MKOCTFILE) $(CXXFLAGS_PKG) $^ -o $@
+	$(MKOCTFILE) $(PKG_CXXFLAGS) $^ -o $@
 
-$(CL2BP_OBJECTS): cl2bp_lib.h
+$(CL2BP_OBJECTS): cl2bp_lib.h octave-compat.h
 
 PKG_ADD PKG_DEL: $(OCT_SOURCES)
 	$(SED) -n -e 's/.*$@: \(.*\)/\1/p' $^ > $@-t

=== debian/changelog ===
octave-signal (1.4.1-4) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 11:16:32 -0300

octave-signal (1.4.1-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 08 Nov 2019 13:01:37 -0300

octave-signal (1.4.1-2) unstable; urgency=medium

  * Upload to unstable
  * d/copyright: Add copyright and license information for the AppStream file
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 05:22:14 -0300

octave-signal (1.4.1-1) experimental; urgency=medium

  * New upstream version 1.4.1
  * d/p/impinvar-tol.patch: Drop patch (applied upstream)
  * d/changelog: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 12 Apr 2019 17:40:37 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>,
+Uploaders: Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave,
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 0.7.1),
                octave-control (>= 3.1.0)
 Build-Conflicts: octave-nan
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/signal/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-signal.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-signal

## octave-signal 1.4.2

=== debian/changelog ===
octave-signal (1.4.2-1build1) kinetic; urgency=medium

  * No change rebuild against octave-abi-57.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 13 May 2022 13:52:05 +0000

octave-signal (1.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.2
  * d/copyright: reflect upstream changes
  * octave7.patch: drop patch, applied upstream
  * Use secure URI in debian/watch.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Apr 2022 11:39:24 +0200

octave-signal (1.4.1-5) unstable; urgency=medium

  * Team upload

  [ Jenkins ]
  * Remove constraints unnecessary since stretch

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: New file
  * d/copyright: Accentuate my family name
  * Set upstream metadata fields: Archive.

  [ Sébastien Villemot ]
  * octave7.patch: new patch, fixes FTBFS against Octave 7 (Closes: #1009140)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Apr 2022 13:00:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
-               octave-control (>= 3.1.0)
+               octave-control
 Build-Conflicts: octave-nan
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/signal/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-signal.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-signal

=== debian/watch ===
version=4
https://sf.net/octave/signal-(.+)\.tar\.gz

## octave-signal 1.4.3

=== DESCRIPTION ===
Name: signal
Version: 1.4.3
Date: 2022-10-28
Author: various authors
Maintainer: Mike Miller <mtmiller@octave.org>
Title: Signal Processing
Description: Signal processing tools, including filtering, windowing and display functions.
Depends: octave (>= 3.8), control (>= 2.4)
Autoload: no
License: GPLv3+, public domain
Url: https://octave.sourceforge.io/signal/

=== src/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 MKOCTFILE ?= mkoctfile
 SED       ?= sed
 
-PKG_CXXFLAGS := -Wall -Wno-deprecated-declarations $(PKG_CXXFLAGS_APPEND)
+PKG_CXXFLAGS := -Wall $(PKG_CXXFLAGS_APPEND)
 
 OCT_FILES = \
   __fwht__.oct \

=== debian/changelog ===
octave-signal (1.4.3-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning the src/*.cc-tst files
    + d/clean: Drop file
    + d/control: Build-depend on dh-octave >= 1.2.2. In this version
      dh_octave_clean removes the src/*-tst files.
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

  [ Sébastien Villemot ]
  * New upstream version 1.4.3
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 31 Oct 2022 09:25:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-octave (>= 1.2.2),
+               dh-sequence-octave,
                octave-control
 Build-Conflicts: octave-nan
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/signal/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-signal.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-signal

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/signal/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/signal-(.+).tar.gz

## octave-signal 1.4.5

=== debian/changelog ===
octave-signal (1.4.5-2) unstable; urgency=medium

  * d/u/metadata: Update Bug-Database URL
  * Build and install the documentation
    + d/rules: Build and install all forms of documentation (PDF, HTML,
      Info and Qt Help)
    + d/clean: Remove leftover files
    + d/control: Build depends on dh-octave (> 1.8.0), python3, and texlive
    + New files:
      - d/octave-signal.doc-base
      - d/octave-signal.docs
      - d/octave-signal.info
    + New patches:
      - d/p/add-Makefile.patch
      - d/p/add-mkfuncdocs-py.patch
      - d/p/add-mkqhcp-py.patch
      - d/p/xcorr-doc-conjugation.patch
  * d/s/lintian-overrides: Override Lintian warning
    very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 Feb 2024 13:44:08 -0300

octave-signal (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5
  * d/p/fix-firpm.patch: Drop patch (applied upstream)
  * d/p/firpm-bist-ppc64el.patch: Drop patch (applied upstream)
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jul 2023 17:45:40 -0300

octave-signal (1.4.4-4) unstable; urgency=medium

  * Upload to unstable

  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository, Documentation, and Changelog URLs

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 07:32:20 -0300

octave-signal (1.4.4-3) experimental; urgency=medium

  * d/p/firpm-bist-ppc64el.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Tue, 06 Jun 2023 13:41:03 -0300

octave-signal (1.4.4-2) experimental; urgency=medium

  * d/patches/fix-firpm.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 02 Jun 2023 07:43:01 -0300

octave-signal (1.4.4-1) experimental; urgency=medium

  * New upstream version 1.4.4
  * d/copyright: Reflect upstream changes
  * d/control: Update Homepage field

 -- Rafael Laboissière <rafael@debian.org>  Mon, 22 May 2023 03:05:20 -0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.2),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
-               octave-control
+               octave-control,
+               python3,
+               texlive
 Build-Conflicts: octave-nan
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/signal/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/signal/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-signal.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-signal
 Testsuite: autopkgtest-pkg-octave

## octave-signal 1.4.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: signal
-Version: 1.4.3
-Date: 2022-10-28
+Version: 1.4.6
+Date: 2024-09-20
 Author: various authors
 Maintainer: Mike Miller <mtmiller@octave.org>
 Title: Signal Processing

=== src/Makefile ===
--- 
+++ 
@@ -25,12 +25,14 @@
   __fwht__.oct \
   __ultrwin__.oct \
   cl2bp.oct \
+  firpm.oct \
   medfilt1.oct \
   remez.oct \
   sosfilt.oct \
   upfirdn.oct
 
 CL2BP_OBJECTS = cl2bp.o cl2bp_lib.o
+FIRPM_OBJECTS = firpm.o mmfir.o
 
 OCT_SOURCES = $(patsubst %.oct,%.cc,$(OCT_FILES))
 
@@ -39,10 +41,16 @@
 %.o: %.cc
 	$(MKOCTFILE) $(PKG_CXXFLAGS) -c $< -o $@
 
+%.o: %.c
+	$(MKOCTFILE) -c $< -o $@
+
 %.oct: %.cc octave-compat.h
 	$(MKOCTFILE) $(PKG_CXXFLAGS) $< -o $@
 
 cl2bp.oct: $(CL2BP_OBJECTS)
+	$(MKOCTFILE) $(PKG_CXXFLAGS) $^ -o $@
+
+firpm.oct: $(FIRPM_OBJECTS)
 	$(MKOCTFILE) $(PKG_CXXFLAGS) $^ -o $@
 
 $(CL2BP_OBJECTS): cl2bp_lib.h octave-compat.h

=== debian/changelog ===
octave-signal (1.4.6-2) unstable; urgency=medium

  * d/control:
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Tighten Build-Depends to texlive-base and texlive-binaries,
      instead of the broad dependency on texlive
  * d/watch: Convert to format version 5
  * d/s/lintian-override:
    + Update override for the Lintian warning
      debian-watch-lacks-sourceforge-redirector
    + Drop unused override for very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 09:43:32 -0300

octave-signal (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6
  * d/control:
    + Bump Standards-Version to 4.7.0 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
  * d/clean: Clean doc/signal.html

 -- Rafael Laboissière <rafael@debian.org>  Sun, 29 Sep 2024 08:44:02 -0300

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                dh-octave (>= 1.8.0),
                dh-sequence-octave,
                octave-control,
-               python3,
-               texlive
+               python3 <!nodoc>,
+               texlive-base <!nodoc>,
+               texlive-binaries <!nodoc>
 Build-Conflicts: octave-nan
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/signal/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-signal.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-signal
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-signal
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_build:
	mkdir .hg
	touch .hg/dirstate
	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
	make -k doc
	# Fix for makeinfo error:
	# "@group invalid in context where filling is enabled"
	sed -i -e 's/^@\(end \|\)group$$//' doc/functions.texi
	cd doc && makeinfo --pdf --output=signal.pdf signal.texi
endif

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/signal/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/signal-@ANY_VERSION@@ARCHIVE_EXT@

## octave-signal 1.4.7

=== DESCRIPTION ===
Name: signal
Version: 1.4.7
Date: 2026-01-10
Author: various authors
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: Signal Processing
Description: Signal processing tools, including filtering, windowing and display functions.
Depends: octave (>= 3.8), control (>= 2.4)
Autoload: no
License: GPLv3+, public domain
Url: https://gnu-octave.github.io/octave-signal/
Repository: https://github.com/gnu-octave/octave-signal/
Tracker: https://github.com/gnu-octave/octave-signal/issues/

=== src/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	$(MKOCTFILE) $(PKG_CXXFLAGS) -c $< -o $@
 
 %.o: %.c
-	$(MKOCTFILE) -c $< -o $@
+	$(MKOCTFILE) $(PKG_CFLAGS) -c $< -o $@
 
 %.oct: %.cc octave-compat.h
 	$(MKOCTFILE) $(PKG_CXXFLAGS) $< -o $@

=== debian/changelog ===
octave-signal (1.4.7-1) unstable; urgency=medium

  * New upstream version 1.4.7
  * d/watch: Update upstream tarball URL
  * d/copyright: Reflect upstream changes
  * d/control:
    + Drop useless build-dependency on texlive-binaries
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/salsa-ci.yml: New file
  * d/u/metadata: Update upstream URLs
  * d/s/lintian-overrides: Drop unused override

 -- Rafael Laboissière <rafael@debian.org>  Sat, 24 Jan 2026 11:51:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-signal
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
@@ -9,10 +8,9 @@
                dh-sequence-octave,
                octave-control,
                python3 <!nodoc>,
-               texlive-base <!nodoc>,
-               texlive-binaries <!nodoc>
+               texlive-base <!nodoc>
 Build-Conflicts: octave-nan
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/signal/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-signal.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-signal

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/signal/
https://github.com/gnu-octave/octave-signal/releases/download/.*/signal-@ANY_VERSION@@ARCHIVE_EXT@
